import request from '@/utils/request'

// 创建STF资源管理
export function createDigFtpSource(data) {
  return request({
    url: '/manager/dig-ftp-source/create',
    method: 'post',
    data: data
  })
}

// 更新STF资源管理
export function updateDigFtpSource(data) {
  return request({
    url: '/manager/dig-ftp-source/update',
    method: 'put',
    data: data
  })
}

// 删除STF资源管理
export function deleteDigFtpSource(id) {
  return request({
    url: '/manager/dig-ftp-source/delete?id=' + id,
    method: 'delete'
  })
}

// 获得STF资源管理
export function getDigFtpSource(id) {
  return request({
    url: '/manager/dig-ftp-source/get?id=' + id,
    method: 'get'
  })
}

// 获得STF资源管理分页
export function getDigFtpSourcePage(params) {
  return request({
    url: '/manager/dig-ftp-source/page',
    method: 'get',
    params
  })
}
// 导出STF资源管理 Excel
export function exportDigFtpSourceExcel(params) {
  return request({
    url: '/manager/dig-ftp-source/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}